Subject: Still can't compile...

From: Marcus <[email-masked]>
Date: Sun, 4 Mar 2001 01:03:27 -0800 (PST)

Well I added gpm-devel even though I don't use a mouse with this box, still can't compile.  When I
use ./build lnx nothing compiles however when I use ./build slx the imapd and mtest binaries are
compiled.  Below is a bit of what happens at the end of the build.  If anyone knows what might be
going on I'd appricate it.

Again, these are the devel packages I have installed on the box:

gpm-devel-1.18.1-7
glibc-devel-2.1.3-15
ncurses-devel-5.0-11
krb5-devel-1.1.1-9

And here is what the build says before it finishes:

../pico/libpico.a(attach.o): In function `ParseAttach':
/root/tmp/pine4.33/pico/attach.c:760: undefined reference to `compresspath'
/root/tmp/pine4.33/pico/attach.c:770: undefined reference to `fixpath'
/root/tmp/pine4.33/pico/attach.c:771: undefined reference to `fexist'
/root/tmp/pine4.33/pico/attach.c:772: undefined reference to `fioperr'
../pico/libpico.a(attach.o): In function `NewAttach':
/root/tmp/pine4.33/pico/attach.c:1096: undefined reference to `ttresize'
/root/tmp/pine4.33/pico/attach.c:1097: undefined reference to `picosigs'
../pico/libpico.a(bind.o): In function `whelp':
/root/tmp/pine4.33/pico/bind.c:137: undefined reference to `term'
/root/tmp/pine4.33/pico/bind.c:162: undefined reference to `ttresize'
/root/tmp/pine4.33/pico/bind.c:163: undefined reference to `picosigs'
/root/tmp/pine4.33/pico/bind.c:172: undefined reference to `term'
/root/tmp/pine4.33/pico/bind.c:174: undefined reference to `term'
/root/tmp/pine4.33/pico/bind.c:180: undefined reference to `term'
../pico/libpico.a(bind.o): In function `wscrollw':
/root/tmp/pine4.33/pico/bind.c:266: undefined reference to `term'
/root/tmp/pine4.33/pico/bind.c:268: undefined reference to `GetKey'
/root/tmp/pine4.33/pico/bind.c:286: undefined reference to `term'
/root/tmp/pine4.33/pico/bind.c:297: undefined reference to `term'
/root/tmp/pine4.33/pico/bind.c:305: undefined reference to `term'
/root/tmp/pine4.33/pico/bind.c:312: undefined reference to `term'
/root/tmp/pine4.33/pico/bind.c:324: undefined reference to `term'
collect2: ld returned 1 exit status
make: *** [pine] Error 1

Links to executables are in bin directory:
size: bin/pine: No such file or directory
   text    data     bss     dec     hex filename
 604164    7572    2176  613912   95e18 bin/mtest
 639176    7696    9460  656332   a03cc bin/imapd
size: bin/pico: No such file or directory
size: bin/pilot: No such file or directory
Done
[root@max pine4.33]# ls bin
imapd  mtest
[root@max pine4.33]#

--mjz

__________________________________________________
Do You Yahoo!?
Get email at your own domain with Yahoo! Mail. 
http://personal.mail.yahoo.com/
-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------